local long_loot_prerequisites = {}
if data.raw["technology"][long_loot_research.names.technology.long_pickup_1] then
	long_loot_prerequisites =
	{
		-- 1
		{
			long_loot_research.names.technology.long_pickup_1,
			"alien-technology"
		},
		-- 2
		{
			long_loot_research.names.technology.long_loot_1,
			long_loot_research.names.technology.long_pickup_2
		},
		-- 3
		{
			long_loot_research.names.technology.long_loot_2,
			long_loot_research.names.technology.long_pickup_3
		},
		-- 4
		{
			long_loot_research.names.technology.long_loot_3,
			long_loot_research.names.technology.long_pickup_4
		}
	}
else
	long_loot_prerequisites =
	{
		-- 1
		{
			long_loot_research.names.technology.long_reach_1,
			"alien-technology"
		},
		-- 2
		{
			long_loot_research.names.technology.long_loot_1,
			long_loot_research.names.technology.long_reach_2
		},
		-- 3
		{
			long_loot_research.names.technology.long_loot_2,
			long_loot_research.names.technology.long_reach_3
		},
		-- 4
		{
			long_loot_research.names.technology.long_loot_3,
			long_loot_research.names.technology.long_reach_4
		}
	}
end

data:extend(
{
	-- Long loot 1.
	{
		type = "technology",
		name = long_loot_research.names.technology.long_loot_1,
		icon = long_loot_research.mod_directory .. "/graphics/long-loot-1.png",
		icon_size = 128,
		localised_description = {"technology-description.long-loot-research_long-loot-detailed", 50},
		effects = {},
		prerequisites = long_loot_prerequisites[1],
		unit =
		{
			count = 150,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
			},
			time = 45
		},
		order = "a-b-aa-d"
	},
	-- Long loot 2.
	{
		type = "technology",
		name = long_loot_research.names.technology.long_loot_2,
		icon = long_loot_research.mod_directory .. "/graphics/long-loot-2.png",
		icon_size = 128,
		localised_description = {"technology-description.long-loot-research_long-loot", 100},
		effects = {},
		prerequisites = long_loot_prerequisites[2],
		unit =
		{
			count = 400,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
			},
			time = 90
		},
		order = "a-b-ab-d"
	},
	-- Long loot 3.
	{
		type = "technology",
		name = long_loot_research.names.technology.long_loot_3,
		icon = long_loot_research.mod_directory .. "/graphics/long-loot-3.png",
		icon_size = 128,
		localised_description = {"technology-description.long-loot-research_long-loot", 200},
		effects = {},
		prerequisites = long_loot_prerequisites[3],
		unit =
		{
			count = 800,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"alien-science-pack", 1},
			},
			time = 180
		},
		order = "a-b-ac-d"
	},
	-- Long loot 4.
	{
		type = "technology",
		name = long_loot_research.names.technology.long_loot_4,
		icon = long_loot_research.mod_directory .. "/graphics/long-loot-4.png",
		icon_size = 128,
		localised_description = {"technology-description.long-loot-research_long-loot", 400},
		effects = {},
		prerequisites = long_loot_prerequisites[4],
		unit =
		{
			count = 1600,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
				{"alien-science-pack", 1},
			},
			time = 360
		},
		order = "a-b-ad-d"
	},
})