data:extend(
{
	-- Long reach 1.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_reach_1,
		icon = long_reach_research.mod_directory .. "/graphics/long-reach-1.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-reach-detailed", 50},
		effects = {},
		unit =
		{
			count = 10,
			ingredients = {{"science-pack-1", 1}},
			time = 15
		},
		order = "a-b-aa"
	},
	-- Long reach 2.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_reach_2,
		icon = long_reach_research.mod_directory .. "/graphics/long-reach-2.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-reach", 100},
		effects = {},
		prerequisites =
		{
			long_reach_research.names.technology.long_reach_1,
			"armor-making",
		},
		unit =
		{
			count = 60,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
			},
			time = 30
		},
		order = "a-b-ab"
	},
	-- Long reach 3.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_reach_3,
		icon = long_reach_research.mod_directory .. "/graphics/long-reach-3.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-reach", 200},
		effects = {},
		prerequisites =
		{
			long_reach_research.names.technology.long_reach_2,
			"armor-making-2",
			"battery",
			"automation"
		},
		unit =
		{
			count = 120,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
			},
			time = 60
		},
		order = "a-b-ac"
	},
	-- Long reach 4.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_reach_4,
		icon = long_reach_research.mod_directory .. "/graphics/long-reach-4.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-reach", 400},
		effects = {},
		prerequisites =
		{
			long_reach_research.names.technology.long_reach_3,
			"power-armor"
		},
		unit =
		{
			count = 240,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
			},
			time = 120
		},
		order = "a-b-ad"
	},
	
	-- Long build 1.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_build_1,
		icon = long_reach_research.mod_directory .. "/graphics/long-build-1.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-build-detailed", 50},
		effects = {},
		prerequisites =
		{
			long_reach_research.names.technology.long_reach_1,
		},
		unit =
		{
			count = 30,
			ingredients = {{"science-pack-1", 1}},
			time = 15
		},
		order = "a-b-aa-a"
	},
	-- Long build 2.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_build_2,
		icon = long_reach_research.mod_directory .. "/graphics/long-build-2.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-build", 100},
		effects = {},
		prerequisites =
		{
			long_reach_research.names.technology.long_build_1,
			long_reach_research.names.technology.long_reach_2,
		},
		unit =
		{
			count = 100,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
			},
			time = 30
		},
		order = "a-b-ab-a"
	},
	-- Long build 3.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_build_3,
		icon = long_reach_research.mod_directory .. "/graphics/long-build-3.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-build", 200},
		effects = {},
		prerequisites =
		{
			long_reach_research.names.technology.long_build_2,
			long_reach_research.names.technology.long_reach_3,
		},
		unit =
		{
			count = 200,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
			},
			time = 60
		},
		order = "a-b-ac-a"
	},
	-- Long build 4.
	{
		type = "technology",
		name = long_reach_research.names.technology.long_build_4,
		icon = long_reach_research.mod_directory .. "/graphics/long-build-4.png",
		icon_size = 128,
		localised_description = {"technology-description.long-reach-research_long-build", 400},
		effects = {},
		prerequisites =
		{
			long_reach_research.names.technology.long_build_3,
			long_reach_research.names.technology.long_reach_4,
		},
		unit =
		{
			count = 400,
			ingredients =
			{
				{"science-pack-1", 1},
				{"science-pack-2", 1},
				{"science-pack-3", 1},
			},
			time = 120
		},
		order = "a-b-ad-a"
	},
})